package com.ruoyi.ss.wxPayNotify.service;

import com.ruoyi.ss.wxPayNotify.domain.SmWxPayNotify;
import com.ruoyi.ss.wxPayNotify.mapper.SmWxPayNotifyMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 微信支付通知Service业务层处理
 *
 * @author ruoyi
 * @date 2024-03-13
 */
@Service
public class SmWxPayNotifyServiceImpl implements ISmWxPayNotifyService
{
    @Autowired
    private SmWxPayNotifyMapper smWxPayNotifyMapper;

    /**
     * 查询微信支付通知
     *
     * @param notifyId 微信支付通知主键
     * @return 微信支付通知
     */
    @Override
    public SmWxPayNotify selectSmWxPayNotifyByNotifyId(String notifyId)
    {
        return smWxPayNotifyMapper.selectSmWxPayNotifyByNotifyId(notifyId);
    }

    /**
     * 查询微信支付通知列表
     *
     * @param smWxPayNotify 微信支付通知
     * @return 微信支付通知
     */
    @Override
    public List<SmWxPayNotify> selectSmWxPayNotifyList(SmWxPayNotify smWxPayNotify)
    {
        return smWxPayNotifyMapper.selectSmWxPayNotifyList(smWxPayNotify);
    }

    /**
     * 新增微信支付通知
     *
     * @param smWxPayNotify 微信支付通知
     * @return 结果
     */
    @Override
    public int insertSmWxPayNotify(SmWxPayNotify smWxPayNotify)
    {
        return smWxPayNotifyMapper.insertSmWxPayNotify(smWxPayNotify);
    }

    /**
     * 修改微信支付通知
     *
     * @param smWxPayNotify 微信支付通知
     * @return 结果
     */
    @Override
    public int updateSmWxPayNotify(SmWxPayNotify smWxPayNotify)
    {
        return smWxPayNotifyMapper.updateSmWxPayNotify(smWxPayNotify);
    }

    /**
     * 批量删除微信支付通知
     *
     * @param notifyIds 需要删除的微信支付通知主键
     * @return 结果
     */
    @Override
    public int deleteSmWxPayNotifyByNotifyIds(Long[] notifyIds)
    {
        return smWxPayNotifyMapper.deleteSmWxPayNotifyByNotifyIds(notifyIds);
    }

    /**
     * 删除微信支付通知信息
     *
     * @param notifyId 微信支付通知主键
     * @return 结果
     */
    @Override
    public int deleteSmWxPayNotifyByNotifyId(Long notifyId)
    {
        return smWxPayNotifyMapper.deleteSmWxPayNotifyByNotifyId(notifyId);
    }
}
